Package org.apache.cxf.transport

# Interface MultiplexDestination

All Superinterfaces:
  `Destination`, `Observable`

All Known Implementing Classes:
  `AbstractMultiplexDestination`

public interface MultiplexDestination extends Destination
A MultiplexDestination is a transport-level endpoint capable of receiving unsolicited incoming messages from different peers for multiple targets identified by a unique id. The disambiguation of targets is handled by higher layers as the target address is made available as a context property or as a WS-A-To header

- ## Method Summary

  Modifier and Type
  Method
  Description
  `org.apache.cxf.ws.addressing.EndpointReferenceType`
  `getAddressWithId(String id)`
  `String`
  `getId(Map<String,Object> contextMap)`

  ### Methods inherited from interface org.apache.cxf.transport.Destination

  `getAddress, getBackChannel, getMessageObserver, shutdown`

  ### Methods inherited from interface org.apache.cxf.transport.Observable

  `setMessageObserver`

- ## Method Details

  - ### getAddressWithId

    org.apache.cxf.ws.addressing.EndpointReferenceType getAddressWithId(String id)
    Returns:
      the a reference containing the id that is associated with this Destination

  - ### getId

    String getId(Map<String,Object> contextMap)
    Parameters:
      `contextMap` - for this invocation. Obtained for example from JAX-WS WebServiceContext.getMessageContext(). The context will either contain the WS-A To content and/or some property that identifies the target address, eg MessageContext.PATH_INFO for the current invocation
    Returns:
      the id associated with the current invocation